/contacts/bulk_create/

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Few important details on API /contacts/bulk_create/

  • Bulk create API has rate limit of 1 call per minute. So you can't call this API at high rates.
  • If your API request is throttled, we return the details of when the API is free to accept the next request.
  • All submitted imports will get processed one at a time. So even if you submit 5 CSV files by making the API call 5 times, the import will finish the first CSV file, then go for the second one, so on and so forth.
  • Either Upload file or CSV url is required.
  • Tags column in CSV should in format of comma separated tags.
  • Mapping is in format {"field":"index"}; E.g. if Contact No. is 3rd column in CSV Mapping is {"0":"2"}
  • Mapping for column to field is as follows:-
    CONTACT = 0
    MOBILE = 1
    LAST_NAME = 2
    FIRST_NAME = 3
    EMAIL = 4,
    COUNTRY_CODE = 5
    ADDRESS = 6
    CITY = 7
    STATE = 8
    ZIPCODE = 9
    JOB_TITLE = 10
    COMPANY_NAME = 11
    COMPANY_WEBSITE = 12
    NAME = 13
    ADDITIONAL_VARS = 14
    TAGS = 16
Body Params
string
required

Phonebook ID in which contacts of the file will be linked

string
Defaults to file

country_choice needs to be set in column mapping of file. There are two types of input in country_choice i.e. file and custom, You can choose custom if you want to customize the contact's countries with an input in API. If choose , you need to set country_iso key in body params as well.

string

Country code needs to be specified if country_choice key is custom.

file
Defaults to Upload CSV file

CSV File which contains your contacts that needs to be uploaded in CallHub.

string
required

Mapping of CallHub Contact field ID with CSV File columns.

string

CSV can be hosted on server(or google drive) and link to be provided

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json